[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#598991: live-build 3.0a4 exits with error when using option "--source true"



On 08.10.2010 15:43, Daniel Baumann wrote:
On 10/04/2010 11:43 AM, Mark Schneider wrote:
I had already the same error messages *without this patch* in the past
(can't remember what version I have used .. probably 3.0a1). I will
retest it *without my patch* and lb 3.0a4 again.
ping.

First I have retested it with most current 2.0.x (at least I hope so). If there is a newer verson I can repeat the test with it.

"lb build" stopped with the following error message:

W: Failed to fetch file:/live/image/debian/dists/sid/main/binary-i386/Packages.gz  File not found


More details from build.log - http://paste.debian.net/94890

I have used local-includes for live-media.list:

../local-includes-i386/etc/apt/sources.list.d/live-media.list:#deb file:/live/image/debian squeeze main
../local-includes-i386/etc/apt/sources.list.d/live-media.list:deb file:/live/image/debian sid main

I have used *unpatched" live-build scripts as follows:
# ---

live-boot                            2.0.7+20101002.080803~60squeeze+1
live-boot-initramfs-tools            2.0.7+20101002.080803~60squeeze+1
live-build                           2.0.2+20101002.080418~60squeeze+1
live-config                          2.0.8+20101002.081229~60squeeze+1
live-config-sysvinit                 2.0.8+20101002.081229~60squeeze+1
live-helper                          2.0.2+20101002.080418~60squeeze+1
# ---

My lb_config.sh:
# ---

#!/bin/sh
if [ $# != 1 ]; then
 echo "Usage: $0<where_to_build_the_live_image_dir_name>">&2
 exit 1
fi

mkdir -p ${1}/cache
#cp -R auto ${1}
cd ${1}

lb config --bootloader syslinux --syslinux-timeout 7 --syslinux-menu enabled --linux-flavours 486 --architecture i386 \
          --distribution sid --debian-installer-distribution daily --debian-installer live \
          --repositories "live.debian.net" --debian-installer-gui true --binary-indices false \
          --memtest memtest86+ --win32-loader true --source true \
          --packages "debian-installer-launcher xserver-xorg-video-all slim iceweasel" \
          --packages-lists "standard-x11 vbox-ose awesome dev-utils sys-utils net-utils vim pdf-tools " \
          --iso-preparer ironm --iso-publisher IT-Infrastrukturen.ORG --iso-application typo3mcore --iso-volume t3mcore-i386-$(date +%Y-%m-%d) \
          --hostname debian --username ironm --language "de" \
          --bootappend-live "locales=de_DE.UTF-8 utc=no timezone=Europe/Zurich keyboard-layouts=de" \
          --bootappend-install "locales=de_DE.UTF-8 utc=no timezone=Europe/Zurich keyboard-layouts=de"
# ---

My lb_buil.sh
# ---

#!/bin/sh
export LANG=C
export LC_ALL=C
if [ $# != 1 ]; then
 echo "Usage: $0<where_to_build_the_live_image_dir_name>">&2
 exit 1
fi
if [ $(id -u) != 0 ]; then
 echo "Error: You must be root to run this script!">&2
 exit 2
fi
if ! [ -d ${1} ]; then
  echo "Error: the directory does not exist!">&2
  exit 1
fi
cp binary_local-packageslists/* ${1}/config/binary_local-packageslists/
cp local-packageslists/* ${1}/config/chroot_local-packageslists/
cd local-includes-i386
cp -pR ./* ../${1}/config/chroot_local-includes/
cd ../${1}/config/chroot_local-packages
wget -Nc http://ftp.de.debian.org/debian/pool/main/d/debian-installer-launcher/debian-installer-launcher_3_all.deb
cp ../../../local-packages-i386/* .
cd ../binary_local-udebs
cp ../../../binary_local-udebs-i386/* .
cd ../binary_local-debs
cp ../../../binary_local-debs-i386/* .
cd ../../
lb build --debug 2>&1 | tee build.log
# ---

Please don't tell me again I should use auto/conf.
I am comfortable with my scripts and will move first to auto/conf when I have more time.

In second step I will test the same config but using unpatched 3.0-a5.

regards
Mark

--
IT-Infrastrukturen.ORG

ms@it-infrastrukturen.org

+++ Free infrastructure software for all. +++




Reply to: